package com.shanghaichengdi.ghjgitem.service;

import java.util.concurrent.TimeUnit;

public interface RedisService {

  boolean hasKey(String key);

  boolean hasKey(String folder, String key);

  void setStringCache(String key, String value);

  void setStringCache(String folder, String key, String value);

  void setStringCache(String key, String value, Integer time, TimeUnit timeUnit);

  void setStringCache(String folder, String key, String value, Integer time, TimeUnit timeUnit);

  String getValue(String key);

  String getValue(String folder, String key);

  void deleteKeys(String prefix);
}
